Bug 1232273 - Review Request: pdfpc - A GTK based presentation viewer application for GNU/Linux
Summary: Review Request: pdfpc - A GTK based presentation viewer application for GNU/L...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 12:08 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-06-26 20:30 UTC (History)
2 users (show)

Fixed In Version: pdfpc-4.0.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-26 20:30:45 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2015-06-16 12:08:21 UTC
Spec URL: https://ankursinha.fedorapeople.org/pdfpc/pdfpc.spec
SRPM URL: https://ankursinha.fedorapeople.org/pdfpc/pdfpc-4.0.0-1.fc22.src.rpm

Description: 

pdfpc is a GTK based presentation viewer application for GNU/Linux which uses
Keynote like multi-monitor output to provide meta information to the speaker
during the presentation. It is able to show a normal presentation window on one
screen, while showing a more sophisticated overview on the other one providing
information like a picture of the next slide, as well as the left over time
till the end of the presentation. The input files processed by pdfpc are PDF
documents, which can be created using nearly any of today's presentation
software.


Fedora Account System Username: ankursinha

Comment 1 Florian "der-flo" Lehner 2015-06-20 11:56:18 UTC
Hi!

The LICENSE is missing in the files-section.

Cheers,
 Flo

Comment 2 Ankur Sinha (FranciscoD) 2015-06-20 15:34:31 UTC
Gah! Sorry about that. Updated:

https://ankursinha.fedorapeople.org/pdfpc/pdfpc.spec
https://ankursinha.fedorapeople.org/pdfpc/pdfpc-4.0.0-2.fc22.src.rpm

Thanks for the review,
Cheers,
Ankur

Comment 3 Florian "der-flo" Lehner 2015-06-20 16:35:58 UTC
Hi Ankur!

It looks good :)

Cheers,
 Flo

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)". 
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
   ---> upstream does not provide an icon
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=10170394
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pdfpc-4.0.0-2.fc23.x86_64.rpm
          pdfpc-4.0.0-2.fc23.src.rpm
pdfpc.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
pdfpc.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pdfpc-debuginfo-4.0.0-2.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
pdfpc.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
pdfpc (rpmlib, GLIBC filtered):
    config(pdfpc)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstvideo-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpoppler-glib.so.8()(64bit)
    rtld(GNU_HASH)



Provides
--------
pdfpc:
    config(pdfpc)
    pdfpc
    pdfpc(x86-64)



Source checksums
----------------
https://github.com/pdfpc/pdfpc/releases/download/v4.0.0/pdfpc-v4.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : c091c554f4e3ed8735df40055253459c47b09590775a6f9b5b6abf1b42647a62
  CHECKSUM(SHA256) upstream package : c091c554f4e3ed8735df40055253459c47b09590775a6f9b5b6abf1b42647a62


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1232273
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

===== Solution =====
      APPROVED

Comment 4 Ankur Sinha (FranciscoD) 2015-06-20 16:42:43 UTC
Awesome! Thanks for the quick review, Flo!

New Package SCM Request
=======================
Package Name: pdfpc
Short Description: A GTK based presentation viewer application for GNU/Linux
Upstream URL: http://davvil.github.io/pdfpc/
Owners: ankursinha
Branches: f21 f22
InitialCC:

Comment 5 Ankur Sinha (FranciscoD) 2015-06-20 16:45:08 UTC
New Package SCM Request
=======================
Package Name: pdfpc
Short Description: A GTK based presentation viewer application for GNU/Linux
Upstream URL: https://pdfpc.github.io/
Owners: ankursinha
Branches: f21 f22
InitialCC:

Comment 6 Gwyn Ciesla 2015-06-22 14:06:34 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-06-22 14:51:11 UTC
pdfpc-4.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pdfpc-4.0.0-1.fc22

Comment 8 Fedora Update System 2015-06-24 15:58:30 UTC
pdfpc-4.0.0-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 9 Fedora Update System 2015-06-26 20:30:45 UTC
pdfpc-4.0.0-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.